### Method

# EBackend Cache lock

since: 3.26

#### Declaration [src]

    void
    e_cache_lock (
      ECache* cache,
      ECacheLockType lock_type
    )

#### Description [src]

Locks the `cache` thus other threads cannot use it. This can be called recursively within one thread. Each call should have its pair e_cache_unlock().

Available since: 3.26

#### Parameters

`lock_type`

  Type: `ECacheLockType`

  An `ECacheLockType`.